Subject: Re: ICMP packets - ll_temac with Microblaze

From: Michal Simek <[email-masked]>
Date: Wed, 21 Dec 2011 11:32:28 +0100

Eric Dumazet wrote:
> Le mercredi 21 décembre 2011 à 11:28 +0100, Eric Dumazet a écrit :
>> Le mercredi 21 décembre 2011 à 11:11 +0100, Michal Simek a écrit :
>>> Hi Eric and David,
>>>
>>> I have found one problem with ll_temac driver and
>>> this commit: net: more accurate skb truesize
>>> sha1: 87fb4b7b533073eeeaed0b6bf7c2328995f6c075
>>>
>>> The problem is only with icmp packets from the target. It is sent and driver receive it
>>> but it is not proceed to the application.
>>>
>>> The problem I see is that kmalloc_node_track_caller allocate
>>> specific size and then this size is changed by SKB_WITH_OVERHEAD(ksize(data)).
>>> The problem is with netdev_alloc_skb_ip_align which calls __alloc_skb function.
>>>
>>> Currently driver uses setting for jumbo frames (9k). When I change it to use mtu (1,5k) then
>>> everything is ok.
>>>
>>> Can you give me some hints what can be wrong?
>>>
>> Is it with SLUB, SLAB or SLOB allocator ?
>>
>>
> 
> (I am referring to commit bc417e30f8d
> (net: Add back alignment for size for __alloc_skb)

I have seen that commit. Using the latest&greatest version with this patch.

Michal

-- 
Michal Simek, Ing. (M.Eng)
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel 2.6 Microblaze Linux - http://www.monstr.eu/fdt/
Microblaze U-BOOT custodian